#ifndef _BCNT_RESPONSE_H_
#define _BCNT_RESPONSE_H_

/*
   *
   * bcnt_response.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



void bcnt_not_found_response(const char* url)
{
	snprintf (header_buffer, sizeof(header_buffer), 
		    bcnt_not_found_header, 
		    BCNT_PROTOCOL_DEVEL, url, SNAME, 
		    get_local_host_name(), SVERSION);

	header_buffer[strlen (header_buffer)] = '\0';
}	    


void bcnt_bad_method_response(char *method)
{
	snprintf (header_buffer, sizeof(header_buffer), 
		    bcnt_bad_method_header, 
		    BCNT_PROTOCOL_DEVEL, method, 
		    SNAME, get_local_host_name(), SVERSION);

	header_buffer[strlen (header_buffer)] = '\0';
}	    


void bcnt_interface_not_found_response(char *interface)
{
	snprintf (header_buffer, sizeof(header_buffer), 
		    bcnt_interface_not_found_header, BCNT_PROTOCOL_DEVEL,
		    interface, SNAME, get_local_host_name(), SVERSION);

	header_buffer[strlen (header_buffer)] = '\0';
}	    


void bcnt_interface_data_response(char *interface)
{
	if (!strcmp (data_type, BYTES))
	    snprintf (body_buffer, sizeof(body_buffer), 
			bcnt_interface_bytes_data_body,
			i->stats.tx_bytes, i->stats.tx_packets, 
			i->stats.tx_errs, i->stats.rx_bytes, 
			i->stats.rx_packets, i->stats.rx_errs, smessage);
	else if (!strcmp (data_type, KBYTES))
	    snprintf (body_buffer, sizeof(body_buffer), 
			bcnt_interface_data_body, i->stats.tx_kbytes, 
			i->stats.tx_packets, i->stats.tx_errs,
			i->stats.rx_kbytes, i->stats.rx_packets, 
			i->stats.rx_errs, smessage);
	else if (!strcmp (data_type, MBYTES))
	    snprintf (body_buffer, sizeof(body_buffer), 
			bcnt_interface_data_body, i->stats.tx_mbytes, 
			i->stats.tx_packets, i->stats.tx_errs,
			i->stats.rx_mbytes, i->stats.rx_packets, 
			i->stats.rx_errs, smessage);

        body_buffer[strlen (body_buffer)] = '\0';

	snprintf (header_buffer, sizeof(header_buffer), bcnt_ok_header, 
		     BCNT_PROTOCOL_DEVEL, interface, SNAME, 
		     get_local_host_name(), SVERSION, 
		     get_interface_ip(interface), strlen(body_buffer));

	header_buffer[strlen (header_buffer)] = '\0';
}	    



/* NIN */

#endif /* _BCNT_RESPONSE_H_ */

