#ifndef _FADE_SCREEN_H_
#define _FADE_SCREEN_H_

/*
   *
   * fade_screen.h
   *
   * Struct `color_map' and function `fade_screen_in()' 
   * I was take from "Eksperymentalny klient Gadu-Gadu"
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#define FADE_TIME	20


struct color_map 
{
	int color;
	unsigned char r, g, b;
};

struct color_map default_color_map[16];


struct color_map default_color_map[16] = 
{
	{ 'k', 0, 0, 0 },
	{ 'r', 168, 0, 0, },
	{ 'g', 0, 168, 0, },
	{ 'y', 168, 168, 0, },
	{ 'b', 0, 0, 168, },
	{ 'm', 168, 0, 168, },
	{ 'c', 0, 168, 168, },
	{ 'w', 168, 168, 168, },
	{ 'K', 96, 96, 96 },
	{ 'R', 255, 0, 0, },
	{ 'G', 0, 255, 0, },
	{ 'Y', 255, 255, 0, },
	{ 'B', 0, 0, 255, },
	{ 'M', 255, 0, 255, },
	{ 'C', 0, 255, 255, },
	{ 'W', 255, 255, 255, },
};


void fade_screen_in(void)
{
	int config_fade_in = FADE_TIME;

	if (config_fade_in && getenv(TERM_ENV) && !strcmp(getenv(TERM_ENV), TERM_LINUX)) 
	    {
		int i;

		for (i = 0; i < 16; i++) 
		    {
			int j;

			for (j = 0; j < 16; j++) 
			    {
				int r, g, b;

				r = default_color_map[j].r * i / 16;
				g = default_color_map[j].g * i / 16;
				b = default_color_map[j].b * i / 16;

				if (r > 255)
					r = 255;
				if (g > 255)
					g = 255;
				if (b > 255)
					b = 255;

				printf("\033]P%x%.2x%.2x%.2x", j, r, g, b);
				fflush(stdout);
			    }

			usleep(config_fade_in * 1000);
		    }

		printf("\033]R");
		fflush(stdout);

	    }

}


/* NIN */

#endif /* _FADE_SCREEN_H_ */

