#ifndef _FILE_TYPE_H_
#define _FILE_TYPE_H_

/*
   *
   * file_type.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#define IS_REG	"Regular file"
#define IS_LNK	"Symbolic link"
#define IS_DIR	"Directory"
#define IS_CHR	"Character device"
#define IS_BLK	"Block device"
#define IS_FIF	"Fifo"
#define IS_SOC	"Socket"


void file_type_error(char* path);
char* get_file_type(const char* path);



void file_type_error(char* path)
{
#ifndef _BSERVER_H_
	if (curses_flag == TRUE)
	    close_ncurses_screen();
#endif
	printf ("Path to log file that you specified is not a "_STRING_WHITE_
		" or "_STRING_WHITE_".\nThis is: "_STRING_WHITE_
		", exiting(1) ...\n", IS_REG, IS_LNK, get_file_type(path));
    
	exit_prog(EXIT_FAILURE);
}


/* Get info about "file" */
char* get_file_type(const char* path)
{
	struct stat *stt = (struct stat *) xmalloc (sizeof(struct stat));

	/* This is for bug report ! */
	strcpy (running_function, "get_file_type()");
	
	lstat (path, stt);

	if (S_ISREG (stt->st_mode))
	    {
		free(stt);
		return IS_REG;
	    }
	else if (S_ISLNK (stt->st_mode))
	    {
		free(stt);
		return IS_LNK;
	    }
	else if (S_ISDIR (stt->st_mode))
	    {
		free(stt);
		return IS_DIR;
	    }
	else if (S_ISCHR (stt->st_mode))
	    {
		free(stt);
		return IS_CHR;
	    }
	else if (S_ISBLK (stt->st_mode))
	    {
		free(stt);
		return IS_BLK;
	    }
	else if (S_ISFIFO (stt->st_mode))
	    {
		free(stt);
		return IS_FIF;
	    }
	else if (S_ISSOCK (stt->st_mode))
	    {
		free(stt);
		return IS_SOC;
	    }
	
	free(stt);
	return NULL;
}	    


/* NIN */

#endif /* _FILE_TYPE_H_ */

