#ifndef _KERNEL_RELEASE_H_
#define _KERNEL_RELEASE_H_

/*
   *
   * kernel_release.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/



int kernel_release(void)
{
	int *major = xmalloc (sizeof(int));
	int *minor = xmalloc (sizeof(int));
	int *patch = xmalloc (sizeof(int));

	sscanf (get_local_host_info(HOST_KERNEL_RELEASE), 
		"%d.%d.%d", major, minor, patch);

	free(u_name);

	printf ("+ Checking kernel system... ");

	if (*major >= 2 && *minor >= 2)
	    {
		printf (_STRING_WHITE_"\n", STRING_OK);
		printf ("    Release = %d.%d.%d\n\n", *major, *minor, *patch);
	    }
	else
	    {
		printf (_STRING_RED_"\n", STRING_FAIL);
		printf ("    Release = %d.%d.%d\n\n", *major, *minor, *patch);
		printf ("    Sorry only 2.2.x, 2.4.x and above series "
			"supported!\n    Please upgrade your kernel on "
			"http://www.kernel.org\n    if you want using this "
			"stuff! :-)\n"_COLOR_RED_"    Exiting(1) ..."_COLOR_END_"\n\n");

		free(major);
		free(minor);
		free(patch);
		
		exit_prog(EXIT_FALSE);
	    }

	free(major);
	free(minor);
	free(patch);

	return(EXIT_SUCCESS);
}


/* NIN */

#endif /* _KERNEL_RELEASE_H_ */

