#ifndef _SIGNALSNUM_H_
#define _SIGNALSNUM_H_

/*
   *
   * signalsnum.h
   *
   * Copyright (c) 2002-2003 Aleksander Augustowski
   *
   * BUG RAPORTS &
   * E-MAIL:          aleksander.augustowski@ins.com.pl
   * URL:             http://www.ins.com.pl/~alex/bcount/bcount.html
   *
   * This software is open source; you can redistribute it and/or modify
   * it under the terms of the GNU General Public License as published by
   * the Free Software Foundation; either version 2 of the License, or
   * (at your option) any later version.
   *
   * This program is distributed WITHOUT ANY WARRANTY; without even the
   * implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
   * See the GNU General Public License in the included COPYING file for
   * details.
   *
   *
*/


#ifndef	SIGHUP
#define	SIGHUP		1	/* Hangup (POSIX).  */
#endif
#define	ASIGHUP		"SIGHUP"

#ifndef	SIGINT
#define	SIGINT		2	/* Interrupt (ANSI).  */
#endif
#define	ASIGINT		"SIGINT"

#ifndef	SIGQUIT
#define	SIGQUIT		3	/* Quit (POSIX).  */
#endif
#define	ASIGQUIT	"SIGQUIT"

#ifndef	SIGILL
#define	SIGILL		4	/* Illegal instruction (ANSI).  */
#endif
#define	ASIGILL		"SIGILL"

#ifndef	SIGTRAP
#define	SIGTRAP		5	/* Trace trap (POSIX).  */
#endif
#define	ASIGTRAP	"SIGTRAP"

#ifndef	SIGABRT
#define	SIGABRT		6	/* Abort (ANSI).  */
#endif
#define	ASIGABRT	"SIGABRT"

#ifndef	SIGIOT
#define	SIGIOT		6	/* IOT trap (4.2 BSD).  */
#endif
#define	ASIGIOT		"SIGIOT"

#ifndef	SIGBUS
#define	SIGBUS		7	/* BUS error (4.2 BSD).  */
#endif
#define	ASIGBUS		"SIGBUS"

#ifndef	SIGFPE
#define	SIGFPE		8	/* Floating-point exception (ANSI).  */
#endif
#define	ASIGFPE		"SIGFPE"

#ifndef	SIGKILL
#define	SIGKILL		9	/* Kill, unblockable (POSIX).  */
#endif
#define	ASIGKILL	"SIGKILL"

#ifndef	SIGUSR1
#define	SIGUSR1		10	/* User-defined signal 1 (POSIX).  */
#endif
#define	ASIGUSR1	"SIGUSR1"

#ifndef	SIGSEGV
#define	SIGSEGV		11	/* Segmentation violation (ANSI).  */
#endif
#define	ASIGSEGV	"SIGSEGV"

#ifndef	SIGUSR2
#define	SIGUSR2		12	/* User-defined signal 2 (POSIX).  */
#endif
#define	ASIGUSR2	"SIGUSR2"

#ifndef	SIGPIPE
#define	SIGPIPE		13	/* Broken pipe (POSIX).  */
#endif
#define	ASIGPIPE	"SIGPIPE"

#ifndef	SIGALRM
#define	SIGALRM		14	/* Alarm clock (POSIX).  */
#endif
#define	ASIGALRM	"SIGALRM"

#ifndef	SIGTERM
#define	SIGTERM		15	/* Termination (ANSI).  */
#endif
#define	ASIGTERM	"SIGTERM"

#ifndef	SIGSTKFLT
#define	SIGSTKFLT	16	/* Stack fault.  */
#endif
#define	ASIGSTKFLT	"SIGSTKFLT"

#ifndef	SIGCLD
#define	SIGCLD		SIGCHLD	/* Same as SIGCHLD (System V).  */
#endif
#define	ASIGCHLD	"SIGCHLD"

#ifndef	SIGCHLD
#define	SIGCHLD		17	/* Child status has changed (POSIX).  */
#endif
#define	ASIGCHLD	"SIGCHLD"

#ifndef	SIGCONT
#define	SIGCONT		18	/* Continue (POSIX).  */
#endif
#define	ASIGCONT	"SIGCONT"

#ifndef	SIGSTOP
#define	SIGSTOP		19	/* Stop, unblockable (POSIX).  */
#endif
#define	ASIGSTOP	"SIGSTOP"

#ifndef	SIGTSTP
#define	SIGTSTP		20	/* Keyboard stop (POSIX).  */
#endif
#define	ASIGTSTP	"SIGTSTP"

#ifndef	SIGTTIN
#define	SIGTTIN		21	/* Background read from tty (POSIX).  */
#endif
#define	ASIGTTIN	"SIGTTIN"

#ifndef	SIGTTOU
#define	SIGTTOU		22	/* Background write to tty (POSIX).  */
#endif
#define	ASIGTTOU	"SIGTTOU"

#ifndef	SIGURG
#define	SIGURG		23	/* Urgent condition on socket (4.2 BSD).  */
#endif
#define	ASIGURG		"SIGURG"

#ifndef	SIGXCPU
#define	SIGXCPU		24	/* CPU limit exceeded (4.2 BSD).  */
#endif
#define	ASIGXCPU	"SIGXCPU"

#ifndef	SIGXFSZ
#define	SIGXFSZ		25	/* File size limit exceeded (4.2 BSD).  */
#endif
#define	ASIGXFSZ	"SIGXFSZ"

#ifndef	SIGVTALRM
#define	SIGVTALRM	26	/* Virtual alarm clock (4.2 BSD).  */
#endif
#define	ASIGVTALRM	"SIGVTALRM"

#ifndef	SIGPROF
#define	SIGPROF		27	/* Profiling alarm clock (4.2 BSD).  */
#endif
#define	ASIGPROF	"SIGPROF"

#ifndef	SIGWINCH
#define	SIGWINCH	28	/* Window size change (4.3 BSD, Sun).  */
#endif
#define	ASIGWINCH	"SIGWINCH"

#ifndef	SIGPOLL
#define	SIGPOLL		SIGIO	/* Pollable event occurred (System V).  */
#endif
#define	ASIGPOLL	"SIGPOLL or SIGIO"

#ifndef	SIGIO
#define	SIGIO		29	/* I/O now possible (4.2 BSD).  */
#endif
#define	ASIGIO		"SIGPOLL or SIGIO"

#ifndef	SIGPWR
#define	SIGPWR		30	/* Power failure restart (System V).  */
#endif
#define	ASIGPWR		"SIGPWR"

#ifndef SIGSYS
#define SIGSYS		31	/* Bad system call.  */
#endif
#define	ASIGSYS		"SIGSYS"

#define SIGUNUSED	31

#ifndef SIGUNKNOWN
#define SIGUNKNOWN	666	/* This is my own signal definition :-).  */
#endif
#define ASIGUNKNOWN	"SIGUNKNOWN"


/* NIN */

#endif /* _SIGNALSNUM_H_ */

